package com.yhy.module.core.convert.workbench;

import com.yhy.module.core.controller.admin.workbench.vo.WbProjectTreeRespVO;
import com.yhy.module.core.controller.admin.workbench.vo.WbProjectTreeSaveReqVO;
import com.yhy.module.core.dal.dataobject.workbench.WbProjectTreeDO;
import java.util.List;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 工作台项目管理树 Convert
 *
 * @author yhy
 */
@Mapper
public interface WbProjectConvert {

    WbProjectConvert INSTANCE = Mappers.getMapper(WbProjectConvert.class);

    WbProjectTreeDO convert(WbProjectTreeSaveReqVO bean);

    WbProjectTreeRespVO convert(WbProjectTreeDO bean);

    List<WbProjectTreeRespVO> convertList(List<WbProjectTreeDO> list);
}
